; ================================================================================================
; Kleiner RGB-Controller fr Tiny2313/4313 mit IR-Fernbedienung RC5
; und 3 Kanlen SW-PWM
;
; DMX-Empfang
;
; keine Subroutine, wird in den laufenden Text eingebunden, daher keine Register gesichert o..
; ================================================================================================

_DMX:

		sbrs	Flags, FL_DMX				; neuer Frame empfangen?
		rjmp	_DMX_Ende					; nein, Ende

		cbr		Flags, (1<<FL_DMX)			; ja, Flag wieder lschen
		sbi		SLED_IN, SLED				; und Status-LED toggeln


		lds		temp1, DMX_In				; DMX Rot holen
		sts		PWM_Buffer, temp1			; und ausgeben

		lds		temp1, (DMX_In+1)			; DMX Grn holen
		sts		(PWM_Buffer+1), temp1		; und ausgeben

		lds		temp1, (DMX_In+2)			; DMX Blau holen
		sts		(PWM_Buffer+2), temp1		; und ausgeben

_DMX_Ende:

; ================================================================================================
