; ================================================================================================
; Kleiner RGB-Controller fr Tiny2313/4313 mit IR-Fernbedienung RC5 und 3 Kanlen SW-PWM
; Linearisierung Dimmer-Verlauf
; Wert wird in temp1 bergeben und zurck gegeben
; ================================================================================================

_Dimmerkorrektur:

		push	ZL
		push	ZH

		ldi		ZH, high(Dimmerkurve*2)		; Zeiger auf Dimmertabelle
		ldi		ZL, low(Dimmerkurve*2)

		add		ZL, temp1					; Offset Eintrag dazu addieren
		clr		temp1
		adc		ZH, temp1

		lpm		temp1, Z					; korrigierten Wert holen

		pop		ZH
		pop		ZL

		ret

; ------------------------------------------------------------------------------------------------
; Dimmertabelle
; ------------------------------------------------------------------------------------------------

Dimmerkurve:

	.db		  1,	  2,	  3,	  5,	  7,	  9,	 11,	 14
	.db		 17,	 21,	 26,	 32,	 38,	 45,	 52,	 59	 
	.db		 68,	 77,	 86,	 96,	106,	117,	128,	140	
	.db		153,	166,	179,	193,	208,	223,	239,	255

; ================================================================================================
