; ================================================================================================
; Kleiner RGB-Controller fr Tiny2313A/4313 mit IR-Fernbedienung RC5 und 3 Kanlen SW-PWM
; Interrupt-Vektor-Tabelle
; ================================================================================================

; ================================================================================================
; Interrupt-Vektor-Tabelle Tiny2313A/Tiny4313
; ------------------------------------------------------------------------------------------------

.org 0x0000		rjmp	_reset      	       		; RESET
.org 0x0001		reti								; External Interrupt Request 0
.org 0x0002		reti								; External Interrupt Request 1
.org 0x0003		reti								; Timer/Counter1 Capture Event
.org 0x0004		reti								; Timer/Counter1 Compare Match A
.org 0x0005		reti								; Timer/Counter1 Overflow
.org 0x0006		rjmp	_ISR_Timer0OVF		 		; Timer/Counter0 Overflow
.org 0x0007		rjmp	_DMX_Receiver				; Rx Complete
.org 0x0008		reti								; Data Register Empty
.org 0x0009		reti								; Tx Complete
.org 0x000A		reti								; Analog Comparator
.org 0x000B		reti								; Pin Change Interrupt
.org 0x000C		reti								; Timer/Counter1 Compare Match B
.org 0x000D		reti								; Timer/Counter0 Compare Match A
.org 0x000E		reti								; Timer/Counter0 Compare Match B
.org 0x000F		reti								; USI Start Condition
.org 0x0010		reti								; USI Overflow
.org 0x0011		reti								; EEPROM Ready
.org 0x0012		reti								; Watchdog Timer Overflow
.org 0x0013 	reti								; PCINT1 Pin Change Interrupt Request 1
.org 0x0014 	reti								; PCINT2 Pin Change Interrupt Request 2

; ================================================================================================

