; ================================================================================================
; Kleiner RGB-Controller fr Tiny2313 mit IR-Fernbedienung RC5
; und 3 Kanlen SW-PWM
;
; "Einstellungen Speichern"
; ================================================================================================

_Save:

		push	temp0
		push	temp1

		rcall	_save_config				; Konfiguration in EEPROM speichern


		ldi		temp0, 3					; LEDs 3x grn blinken lassen

_save_blink_loop:

		clr		temp1						; LEDs aus
		sts		PWM_Buffer, temp1
		sts		(PWM_Buffer+1), temp1
		sts		(PWM_Buffer+2), temp1

		cbi		SLED_OUT,SLED				; Status-LED aus

		rcall	_wait_200ms					; kurz warten
		rcall	_wait_200ms
		rcall	_wait_200ms
		
		ser		temp1						; LEDs auf Grn
		sts		(PWM_Buffer+1), temp1

		sbi		SLED_OUT,SLED				; Status-LED an

		rcall	_wait_200ms					; kurz warten
		rcall	_wait_200ms

		dec		temp0
		brne	_save_blink_loop			; mehrfach blinken

		sts		rc5_device, temp0			; RC5-Empfnger lschen, damit kein Mehrfachaufruf

		pop		temp1
		pop		temp0

		ret									; weiter im Programm

; ================================================================================================
