; ================================================================================================
; Kleiner RGB-Controller fr Tiny2313 mit IR-Fernbedienung RC5 und 3 Kanlen SW-PWM
; Benutzerdefinierte Einstellungen
; ================================================================================================

; ================================================================================================
; Tasten-Kommandos und Gert definieren
; ------------------------------------------------------------------------------------------------

.equ DEVICE				= 0					; Gert: Glotze

.equ BRI_UP				= 16				; Taste "Lauter"		-> Dimmer heller
.equ BRI_DOWN			= 17				; Taste "Leiser"		-> Dimmer dunkler
.equ SPEED_UP			= 32				; Taste "Programm +"	-> Speed/Option 1 +
.equ SPEED_DOWN			= 33				; Taste "Programm -"	-> Speed/Option 1 -
.equ OPT_UP				= 22				; Taste "Menue rechts"	-> Option 2 +
.equ OPT_DOWN			= 21				; Taste "Menue links"	-> Option 2 -
.equ OFF				= 12				; Taste "An/Aus"		-> Standby
.equ SAVE				= 55				; Taste "Sound"			-> Einstellungen speichern
.equ PGM_CHANGE			= 48				; Taste "Menue"			-> Program Weiter
.equ PGM_0				= 0					; Taste "0"				-> Programm 0
.equ PGM_1				= 1					; Taste "1"				-> Programm 1
.equ PGM_2				= 2					; Taste "2"				-> Programm 2
.equ PGM_3				= 3					; Taste "3"				-> Programm 3
.equ PGM_4				= 4					; Taste "4"				-> Programm 4
.equ PGM_5				= 5					; Taste "5"				-> Programm 5
.equ PGM_6				= 6					; Taste "6"				-> Programm 6

; ================================================================================================
; DMX-Startadresse
; ------------------------------------------------------------------------------------------------

.equ DMX_STARTADRESS	= 1					; DMX-Startadresse

; ================================================================================================

